# Enum Class InfiniumVcfFields.GENOTYPE_VALUES

java.lang.Object
java.lang.Enum<InfiniumVcfFields.GENOTYPE_VALUES>
picard.arrays.illumina.InfiniumVcfFields.GENOTYPE_VALUES

All Implemented Interfaces:
  `Serializable, Comparable<InfiniumVcfFields.GENOTYPE_VALUES>, Constable`

Enclosing class:
  `InfiniumVcfFields`

public static enum InfiniumVcfFields.GENOTYPE_VALUES extends Enum<InfiniumVcfFields.GENOTYPE_VALUES>

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AA`
`AB`
`BB`

## Method Summary

Modifier and Type
Method
Description
`static InfiniumVcfFields.GENOTYPE_VALUES`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static InfiniumVcfFields.GENOTYPE_VALUES[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### AA

public static final InfiniumVcfFields.GENOTYPE_VALUES AA

### AB

public static final InfiniumVcfFields.GENOTYPE_VALUES AB

### BB

public static final InfiniumVcfFields.GENOTYPE_VALUES BB

## Method Details

### values

public static InfiniumVcfFields.GENOTYPE_VALUES[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static InfiniumVcfFields.GENOTYPE_VALUES valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null